/** \file script_cmd.h
 * \brief <      >
 * \par
 * <       >
 * \par \author ARV \par
 * \note <  >
 * \n :
 * \n \date	14  2018 .
 * \par
 * \version <>.	\par
 * Copyright 2015  ARV. All rights reserved.
 * \par
 *   :\n
 * 	-# Atmel Toolchain 3.4.5    
 *
 */

#ifndef SCRIPT_STR_H_
#define SCRIPT_STR_H_

#if !defined(_DEBUG_)
#define INCLUDE_SHIFT_CMD
#else
#warning DEBUG MODE: SHIFT COMMANDS DISABLED!
#endif

#define	SCR_FILE_EXT	".sc"
#define SCR_DIR			""
#define SCR_CFG_FILE	"play.cfg"
#define SCR_CFG_TF		"TF"
#define SCR_CFG_RP		"RP"
#define SCR_CFG_IB		"IB"
#define SCR_CFG_PS		"PS"
#define SCR_CFG_IG		"IG"
///
#define SCR_CFG_LR		"LR"


#define SCR_CMD_PB		"PB"
#define SCR_CMD_GB		"GB"
#define SCR_CMD_PF		"PF"
#define SCR_CMD_GF		"GF"
#define SCR_CMD_PC		"PC"
#define SCR_CMD_GC		"GC"
#define SCR_CMD_PM		"PM"
#define SCR_CMD_WT		"WT"
#define SCR_CMD_LV		"LV"
#define SCR_CMD_END		"END"
#define SCR_CMD_CLR		"CLR"
#define SCR_CMD_INF		"INF"
#define SCR_CMD_RST		"RST"
#define SCR_CMD_RPT		"RPT"
#define SCR_CMD_PNT		"PNT"
#define SCR_CMD_REV		"REV"
#define SCR_CMD_NEG		"NEG"
//  !
#define SCR_CMD_RGC		"RGC"	/* random global color */
#define SCR_CMD_RPC		"RPC"	/* random paint color */
#define SCR_CMD_GI		"GI"	/* global index [color] */
#define SCR_CMD_PI		"PI"	/* paint index [color] */
#define SCR_CMD_FM		"FM"	/* fade map */
#define SCR_CMD_BM		"BM"	/* bright map */
#if defined(INCLUDE_SHIFT_CMD)
#define SCR_CMD_RLC		"RLC"	/* rotate left color */
#define SCR_CMD_RRC		"RRC"	/* rotate right color */
#define SCR_CMD_RLB		"RLB"	/* rotate left bright */
#define SCR_CMD_RRB		"RRB"	/* rotate right bright */
#define SCR_CMD_SLC		"SLC"	/* shift left color */
#define SCR_CMD_SRC		"SRC"	/* shift right color */
#define SCR_CMD_SLB		"SLB"	/* shift left bright */
#define SCR_CMD_SRB		"SRB"	/* shift right bright */
#endif


#define SCR_VAR_CHAR	'V'
#define LAST_VAR_CHAR	'F'

#define SCR_FUNC_TP		"TP"
#define SCR_FUNC_RP		"RP"
#define SCR_FUNC_RD		"RD"
// new func
#define SCR_FUNC_DP		"DP"	/* dark pixel (random) */

#endif /* SCRIPT_STR_H_ */
